import { OnInit, EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { BaseComponent } from '../base/base.component';
export declare class SubmitButtonComponent extends BaseComponent implements OnInit {
    form: NgForm;
    disabled: boolean;
    onSumbit: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    submitForm(): void;
}
